variables:
  ROLE_ARN: ""
  FUNCTION_NAME: ""
  ZIP_FILE: ""

.lambda:
  image: luktom/ws
  only:
  - master
  before_script:
  - |
    echo "==> validating input variables"

    if [[ -z "$FUNCTION_NAME" ]]; then
      echo "FUNCTION_NAME variable not set"
      exit 1
    fi

    if [[ -z "$ZIP_FILE" ]]; then
      echo "ZIP_FILE variable not set"
      exit 1
    fi
  script:
  - |
    if [[ ! -z "$ROLE_ARN" ]]; then
      curl -s -o assume-role.sh https://gitlab.com/luktom/ci/-/raw/master/scripts/assume-role.sh && . assume-role.sh
    fi

    echo "==> updating lambda $FUNCTION_NAME with the code from $ZIP_FILE"

    aws lambda update-function-code --publish --function-name "$FUNCTION_NAME" --zip-file "fileb://$ZIP_FILE"

    echo "==> sync completed"